/**
 * 
 */
package de.mcs.tools.sps.holtec;

import de.mcs.tools.sps.EmulatorInternals;

/**
 * @author w.klaas
 *
 */
public class HoltekEmulatorInternals implements EmulatorInternals {
  int address;
  int a, b, c, d;
  int page;
  long delay;

  @Override
  public void reset() {
    address = 0x00;
    a = 0;
    b = 0;
    c = 0;
    d = 0;
    page = 0;
  }

  @Override
  public int getAddress() {
    return address;
  }

  @Override
  public void incAddress(int i) {
    address += i;
  }

  @Override
  public void setDelay(long l) {
    delay = l;
  }

  @Override
  public long getDelay() {
    return delay;
  }

}
